<p align="center">
    <img src ="Resources/Logo.png" width=500 />
</p>

<p align="center">
    <img src="https://img.shields.io/github/v/release/danielsaidi/SwiftKit?color=%2300550&sort=semver" alt="Version" />
    <img src="https://img.shields.io/badge/platform-SwiftUI-red.svg" alt="Swift UI" />
    <img src="https://img.shields.io/badge/Swift-5.3-orange.svg" alt="Swift 5.3" />
    <img src="https://img.shields.io/github/license/danielsaidi/SwiftKit" alt="MIT License" />
    <a href="https://twitter.com/danielsaidi">
        <img src="https://img.shields.io/badge/contact-@danielsaidi-blue.svg?style=flat" alt="Twitter: @danielsaidi" />
    </a>
</p>


## About SwiftKit

`SwiftKit` adds extra functionality to `Swift`, like extensions to already existing types as well as completely new utilites, services etc. 

`SwiftKit` is divided into these areas:

* Authentication
* Data
* Date
* Device
* Extensions
* Files
* Geo
* iCloud
* IoC
* Keychain
* Localization
* Messaging
* Network
* Services

You can explore the various sections in the demo app. Let me know if some feature is missing.


## Demo App

This project contains a demo app that lets you explore `SwiftKit` through interactive demos. 

The demo app provides an intuitive way to explore the library. Together with the extensive documentation and SwiftUI previews, I hope you'll find it easy to understand how the various parts of the library works.

To run the demo app, just open and run the `Demo/Demo.xcodeproj` project. It's a universal app project, but the `macOS` app is currenty not working that well.


## Installation

### Swift Package Manager

```
https://github.com/danielsaidi/SwiftKit.git
```

### CocoaPods

```
pod DSSwiftKit
```

Note that you have to import `SwiftKit` with `import DSSwiftKit` if you add it with CocoaPods. The name `SwiftKit` was (not surprising) already taken.


## Contact me

Feel free to reach out if you have questions or if you want to contribute in any way:

* E-mail: [daniel.saidi@gmail.com][Email]
* Twitter: [@danielsaidi][Twitter]
* Web site: [danielsaidi.com][Website]


## License

SwiftKit is available under the MIT license. See [LICENSE][License] file for more info.

[Email]: mailto:daniel.saidi@gmail.com
[Twitter]: http://www.twitter.com/danielsaidi
[Website]: http://www.danielsaidi.com

[GitHub]: https://github.com/danielsaidi/SwiftKit
[License]: https://github.com/danielsaidi/SwiftKit/blob/master/LICENSE
