//
//  Bundle+BundleInformation.swift
//  SwiftKit
//
//  Created by Daniel Saidi on 2020-06-09.
//  Copyright © 2020 Daniel Saidi. All rights reserved.
//

import Foundation

/**
 These extensions make `Bundle` imlement `BundleInformation`.
 */
extension Bundle: BundleInformation {
    
    /**
     Get the bundle build number.
     */
    public var buildNumber: String {
        let key = String(kCFBundleVersionKey)
        let version = infoDictionary?[key] as? String
        return version ?? ""
    }
    
    /**
     Get the bundle version number.
     */
    public var versionNumber: String {
        let key = "CFBundleShortVersionString"
        let version = infoDictionary?[key] as? String
        return version ?? "0.0.0"
    }
}
